# Angular by Example

<a href="https://www.packtpub.com/web-development/angular-example-third-edition?utm_source=github&utm_medium=repository&utm_campaign=9781788835176"><img src="https://dz13w8afd47il.cloudfront.net/sites/default/files/imagecache/ppv4_main_book_cover/B09551_MockupCover_New.png" alt="	Angular by Example" height="256px" align="right"></a>

This is the code repository for [Angular by Example](https://www.packtpub.com/web-development/angular-example-third-edition?utm_source=github&utm_medium=repository&utm_campaign=9781788835176), published by Packt.

**Discover everything you need to build your own Angular 6 applications**

## What is this book about?
Angular helps you build faster, efficient, and flexible cross-platform applications. Creating complex and rich web applications, with a lighter resource footprint, has never been easier or faster. Angular is now at release 6, with significant changes compared to previous versions.

This book covers the following exciting features: 
* Get introduced to the Angular framework and create a simple guess the number app that explores core features of the framework 
* Dig deeper into the angular framework by building the 7-minute workout app throughout the book
* Explore primary building blocks of Angular – components 
* Go deep into the inner workings of Angular 6 directives and components
* Learn about cross-component communication using Angular events


If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1788835174) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>


## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
"styles": [
   "node_modules/bootstrap/dist/css/bootstrap.min.css",
   "src/styles.css"
],
```

**Following is what you need for this book:**
Angular by Example is an essential guide for beginners who want to get started with Angular. You’ll start building applications immediately with the featured examples and uncover a simpler approach to JavaScript web development. Prior experience with HTML, CSS, and JavaScript is necessary.

With the following software and hardware list you can run all code files present in the book (Chapter 1-10).

### Software and Hardware List

| Chapter  | Software required                   | OS required                        |
| -------- | ------------------------------------| -----------------------------------|
| 1-8      | NodeJS, Postman                     | Windows, Mac, or Linux             |



### Related products <Paste books from the Other books you may enjoy section>
* Angular 6 for Enterprise-Ready Web Applications [[Packt]](https://www.packtpub.com/web-development/angular-6-enterprise-ready-web-applications?utm_source=github&utm_medium=repository&utm_campaign=9781786462909) [[Amazon]](https://www.amazon.com/dp/1786462907)

* Architecting Angular Applications with Redux, RxJS, and NgRx [[Packt]](Architecting%20Angular%20Applications%20with%20Redux,%20RxJS,%20and%20NgRx?utm_source=github&utm_medium=repository&utm_campaign=9781787122406) [[Amazon]](https://www.amazon.com/dp/1787122409)

## Get to Know the Authors
**Chandermani Arora** is a software craftsman, with love for technology and expertise on web stack. With years of experience, he has architected, designed, and developed various solutions for Microsoft platforms. He has been building apps on Angular 1 since its early days. Having a passion for the framework every project of his has an Angular footprint.
He tries to support the platform in every possible way by writing blogs on various Angular topics or helping fellow developers on StackOverflow, where he is an active member on the Angular channel. He also authored the first edition of this book.

**Kevin Hennessy** is a Senior Software Engineer with Applied Information Sciences. He has 20 years' experience as a developer, team lead, and solutions architect, working on web-based projects, primarily using the Microsoft technology stack. Over the last several years, he has presented and written about single-page applications and JavaScript frameworks, including Knockout, Meteor, and Angular. He has spoken about Angular at the All Things Open conference.

## Other books by the authors
* [Angular 2 By Example](https://www.packtpub.com/web-development/angular-2-example?utm_source=github&utm_medium=repository&utm_campaign=9781785887192)

### Suggestions and Feedback
[Click here](https://docs.google.com/forms/d/e/1FAIpQLSdy7dATC6QmEL81FIUuymZ0Wy9vH1jHkvpY57OiMeKGqib_Ow/viewform) if you have any feedback or suggestions.
